import ts from 'typescript';
export type CreateTransformServerOptions = {
    projectPath: string;
};
export type GetTransformerOptions = {
    target?: 'object' | 'text';
    removeFragmentDefinitions?: boolean;
    documentTransformers?: string[];
    getEnabled?: () => boolean;
};
export declare class TransformerHost {
    private readonly _analyzer;
    private readonly _scriptHost;
    private readonly _documentNodeRegistory;
    constructor({ projectPath }: CreateTransformServerOptions);
    loadProject(): void;
    updateFiles(fileNameList: string[]): void;
    getTransformer({ target, removeFragmentDefinitions, documentTransformers, getEnabled, }?: GetTransformerOptions): (ctx: ts.TransformationContext) => (sourceFile: ts.SourceFile) => ts.SourceFile;
}
