import ts from 'typescript';
import type { TagConfig, StrictTagCondition } from './types';
export declare const DEFAULT_TAG_CONDITION: {
    names: never[];
    allowNotTaggedTemplate: true;
    allowTaggedTemplateExpression: true;
    allowFunctionCallExpression: false;
};
export declare function parseTagConfig(tagConfig: TagConfig | undefined): StrictTagCondition;
export declare function getTemplateNodeUnder(node: ts.Node | undefined, { allowFunctionCallExpression, allowNotTaggedTemplate, allowTaggedTemplateExpression, names }: StrictTagCondition): ts.TemplateLiteral | undefined;
export declare function isTaggedTemplateNode(node: ts.TemplateLiteral, tagCondition: StrictTagCondition): boolean;
export declare function getTagName(node: ts.TemplateLiteral, { allowNotTaggedTemplate, allowFunctionCallExpression, allowTaggedTemplateExpression, names }: StrictTagCondition): string | undefined;
